UNIT mTPunkt;

interface

//--------------------  ggf Uses-Liste anpassen !  --------------------
uses ExtCtrls, Graphics, mTLeerobjekt;

type
  TPunkt = class(TLeerobjekt)

  private //Attribute
    x : integer;
    y : integer;

  public //Methoden
    constructor create (x: integer; y: integer; LF: TColor); virtual;
    procedure SetzeX (pX: integer); virtual;
    procedure SetzeY (pY: integer); virtual;
    procedure Zeichnen (PB: TPaintbox); override;
    function GibX : integer; virtual;
    function GibY : integer; virtual;
    procedure Markiere(PB: TPaintbox); override;
   end;

implementation

//+---------------------------------------------------------------------
//|         TPunkt: Methodendefinition 
//+---------------------------------------------------------------------

//-------- create (public) ---------------------------------------------
constructor TPunkt.create (x: integer; y: integer; LF: TColor);
begin
  inherited create(LF);
  SetzeX(x);
  SetzeY(y);
end;

//-------- SetzeX (public) ---------------------------------------------
procedure TPunkt.SetzeX (pX: integer);
begin
  x := pX
end;

//-------- SetzeY (public) ---------------------------------------------
procedure TPunkt.SetzeY (pY: integer);
begin
  y := pY
end;

//-------- Zeichnen (public) -------------------------------------------
procedure TPunkt.Zeichnen (PB: TPaintbox);
begin
  inherited Zeichnen(PB);
  PB.Canvas.MoveTo(x-3,y-3);
  PB.Canvas.LineTo(x+4,y+4);
  PB.Canvas.MoveTo(x-3,y+3);
  PB.Canvas.LineTo(x+4,y-4);
//  PB.Canvas.Pixels[x,y]:= GibLinienfarbe;
end;

//-------- GibX (public) -----------------------------------------------
function TPunkt.GibX : integer;
begin
  result  := x
end;

//-------- GibY (public) -----------------------------------------------
function TPunkt.GibY : integer;
begin
  result  := y
end;

//-------- Markiere (public) -----------------------------------------
procedure TPunkt.Markiere(pb: TPaintbox);
begin
  inherited Markiere(PB);
  pb.Canvas.Rectangle(GibX-4,GibY-4,GibX+4,GibY+4);
end;

end.
